function [ Anew ] = dalec_PF_analysis( A, H, params, obs, obsLut )
%DALEC_PF_ANALYSIS resampling step of the PF

nObs=length(obs);

Anew=A;

HA=H*A;
like=0;


%like=1./(np.sqrt(np.pi*2.*obs.obsErr))*np.exp(-((obs.obsVal-modVal)**2)/(2*obs.obsErr))

%D=difference matrix


%size(HA)
%size(obs(ones(size(HA',1),1),:))


D = HA - obs(ones(size(HA',1),1),:)';
DD=D.*D;

%E=obs error matrix
E=zeros(nObs, params.nrens);
for i=1:nObs;
    if params.obserrtype(obsLut(i))==0;
        E(i,:)=params.obserrstd(obsLut(i));
    else
        E(i,:)=params.obserrstd(obsLut(i))*obs(i);
    end
end

DDE=DD./(2*E);
expDDE=exp(-DDE);
weight=1./(sqrt(pi*2*E));

like=expDDE.*weight;
like=log(like);
like=sum(like,1);
%disp(like);


finalParticleArr=zeros(params.nrens,1);
finalParticleArr(1)=randi(params.nrens);
Anew(:,1)=A(:,randi(params.nrens));

for i=2:params.nrens;    
    j=randi(params.nrens);
    while i==j;
        j=randi(params.nrens);
    end
    
    lastLike=like(i-1);
    thisLike=like(j);
    
    alpha=min(1,exp(thisLike-lastLike));
    z=rand();
    
    
    if z<alpha
        finalParticleArr(i)=j;
        Anew(:,i)=A(:,j);
    else
        finalParticleArr(i)=finalParticleArr(i-1);
        Anew(:,i)=A(:,i-1);
    end
    
end

    


%error('-------------------------')



end

