function [ gpp ] = dalec_acm( lai, params, dDay )
%DALEC_ACM calculate GPP using the acm model

p(1)=params.ACM_P1;
p(2)=params.ACM_P2;
p(3)=params.ACM_P3;
p(4)=params.ACM_P4;
p(5)=params.ACM_P5;
p(6)=params.ACM_P6;
p(7)=params.ACM_P7;
p(8)=params.ACM_P8;
p(9)=params.ACM_P9;
p(10)=params.ACM_P10;

	
gs=power(abs(dDay.psid),p(10))/(p(6)*dDay.rtot+dDay.trange) ;
pp=lai*dDay.nit/gs*p(1)*exp(p(8)*dDay.maxt ) ;
qq=p(3)-p(4);
ci=0.5*(dDay.ca+qq-pp+sqrt(power(dDay.ca+qq-pp,2)-4.*(dDay.ca*qq-pp*p(3))));
e0=p(7)*power(lai,2)/(power(lai,2)+p(9));
dec=-23.4*cos((360.0*(dDay.yearday+10.0) /365.0)*pi/180.0)*pi/180.0 ;
m=tan(params.lat)*tan(dec) ;

if( m >= 1.0 ) 
    dayl=24.0 ; 
elseif ( m <= -1.0 ) 
    dayl=0.0 ;
else
    dayl=24.0*acos(-m)/pi ;
end
    
cps = e0*dDay.rad*gs*(dDay.ca-ci)/(e0*dDay.rad+gs*(dDay.ca-ci));
gpp = cps*(p(2)*dayl+p(5)) ;

end

