function [ newObs ] = dalec_filterObs( obs, useObs, params )
%DALEC_FILTEROBS filter out obs not requested by the user

len=length(useObs);

%great newObs with all missing values
newObs=ones(size(obs))*params.missingFlag;

%if "none" is specified return the blank matrix 
if strcmp(useObs(1),'NONE')
    return
end
    
%next check if "all" is specified anywhere
%if so pass back all the obs unmodified
for i=1:len
    if strcmp(useObs(i),'ALL')
        newObs=obs;
        return
    end
end

%if we get here the user has specified specific
%obs to be assimilated so copy these into the 
%newObs matrix to be returned
for i=1:len

    if strcmp(useObs(i),'GPP')
        pos=params.OBS_POS_GPP;
    elseif strcmp(useObs(i),'NEE')
        pos=params.OBS_POS_NEE;
    elseif strcmp(useObs(i),'RT')
        pos=params.OBS_POS_RT;
    elseif strcmp(useObs(i),'RA')
        pos=params.OBS_POS_RA;
    elseif strcmp(useObs(i),'LF')
        pos=params.OBS_POS_LF;
    elseif strcmp(useObs(i),'LW')
        pos=params.OBS_POS_LW;
    elseif strcmp(useObs(i),'CF')
        pos=params.OBS_POS_CF;
    elseif strcmp(useObs(i),'CW')
        pos=params.OBS_POS_CW;
    elseif strcmp(useObs(i),'CL')
        pos=params.OBS_POS_CL;
    elseif strcmp(useObs(i),'CS')
        pos=params.OBS_POS_CS;
    elseif strcmp(useObs(i),'CR')
        pos=params.OBS_POS_CR;
    else
       error('Unknown observation type specified'); 
    end    
        
    newObs(:,pos)=obs(:,pos);
end
end

