function [ state ] = dalec_initState( params )
%DALEC_INITSTATE initialise the dalec ensemble
%   intialise the ensemble - values taken from Mat W's original code
%   could be done using the actual model error variances but makes 
%   little difference in practice

state=zeros(params.ndims,params.nrens);

for i = 1:params.nrens,
    
    state(params.DALEC_POS_RA,i)=1.0+randn()*0.1; 
    state(params.DALEC_POS_AF,i)=0.3+randn()*0.03;
    state(params.DALEC_POS_AW,i)=0.3+randn()*0.03;
    state(params.DALEC_POS_AR,i)=0.3+randn()*0.03;
    state(params.DALEC_POS_LF,i)=0.3+randn()*0.03;
    state(params.DALEC_POS_LW,i)=0.3+randn()*0.03;
    state(params.DALEC_POS_LR,i)=0.3+randn()*0.03;
    state(params.DALEC_POS_RH1,i)=0.3+randn()*0.03;
    state(params.DALEC_POS_RH2,i)=0.3+randn()*0.03;
    state(params.DALEC_POS_D,i)=0.3+randn()*0.03;
    state(params.DALEC_POS_GPP,i)=1.0+randn()*0.1;
    
    
    state(params.DALEC_POS_CF,i)=params.CF0+randn()*0.1*params.CF0;
    state(params.DALEC_POS_CW,i)=params.CW0+randn()*0.1*params.CW0;
    state(params.DALEC_POS_CR,i)=params.CR0+randn()*0.1*params.CR0;
    state(params.DALEC_POS_CL,i)=params.CL0+randn()*0.1*params.CL0;
    state(params.DALEC_POS_CS,i)=params.CS0+randn()*0.1*params.CS0;
 
    
end

end

