function [ ensemble ] = dalec_stochastic( ensemble, params )
%DALEC_STOCHASTIC add stochastic forcing to the DALEC state vector

% could add to this function:
% * time correlation

%oldEns=ensemble;

for i=1:params.ndims,
    
    if params.errtype(i)==0
        stddev=sqrt(params.errvar(i));
    else
        stddev=sqrt(abs( mean(ensemble(i,:) ))*params.errvar(i));
        %stddev=sqrt(params.errvar(i));
    end
    
    r=randn([1,params.nrens]);
    ensemble(i,:)=ensemble(i,:)+stddev.*r;
    

end

end

